
package de.ivu.elect.presentation.wahlvorschlagsperson.action;

import javax.inject.Named;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;

import java.util.List;

@Named(BeauftragterDeleteAction.COMPONENT_NAME)
public class BeauftragterDeleteAction extends AbstractWahlvorschlagsPersonDeleteAction {

  private static final List<WahlvorschlagsPersonTyp> BEAUFTRAGTE_TYPEN = WahlvorschlagsPersonTyp.getBeauftragteUndStellvertreterTypen();

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "beauftragterDeleteAction";

  public BeauftragterDeleteAction() {
    super();
  }

  @Override
  protected boolean isWahlvorschlagsPersonTypApplicable(WahlvorschlagsPersonTyp wahlvorschlagsPersonTyp) {
    return BEAUFTRAGTE_TYPEN.contains(wahlvorschlagsPersonTyp);
  }

  @Override
  public String getDialogName() {
    return "BeauftragterConfirmDialog";
  }
}
